#line 1 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
#line 1 "f:/program files/mikroc/examples/easypic4/extra_examples/t6963c/240x128/p16/t6963c.h"
#line 170 "f:/program files/mikroc/examples/easypic4/extra_examples/t6963c/240x128/p16/t6963c.h"
void T6963C_init(unsigned int w, unsigned char h, unsigned char fntW,
 unsigned char *data,
 unsigned char *cntrl,
 unsigned char bitwr,
 unsigned char bitrd,
 unsigned char bitcd,
 unsigned char bitreset
 ) ;

void T6963C_writeData(unsigned char data) ;
void T6963C_writeCommand(unsigned char data) ;
void T6963C_setPtr(unsigned int addr, unsigned char t) ;
void T6963C_waitReady(void) ;
void T6963C_fill(unsigned char data, unsigned int start, unsigned int len) ;
void T6963C_dot(int x, int y, unsigned char color) ;
void T6963C_write_char(unsigned char c, unsigned char x, unsigned char y, unsigned char mode) ;
void T6963C_write_text(unsigned char *str, unsigned char x, unsigned char y, unsigned char mode) ;
void T6963C_line(int px0, int py0, int px1, int py1, unsigned char pcolor) ;
void T6963C_rectangle(int x0, int y0, int x1, int y1, unsigned char pcolor) ;
void T6963C_box(int x0, int y0, int x1, int y1, unsigned char pcolor) ;
void T6963C_circle(int x, int y, long r, unsigned char pcolor) ;
void T6963C_image(const char *pic) ;
void T6963C_sprite(unsigned char px, unsigned char py, const char *pic, unsigned char sx, unsigned char sy) ;
void T6963C_set_cursor(unsigned char x, unsigned char y) ;
#line 198 "f:/program files/mikroc/examples/easypic4/extra_examples/t6963c/240x128/p16/t6963c.h"
extern unsigned char *T6963C_dataPort ;
extern unsigned char *T6963C_cntlPort ;

extern unsigned int T6963C_grWidth ;
extern unsigned int T6963C_grHeight ;
extern unsigned int T6963C_txtCols ;

extern unsigned int T6963C_fontWidth ;
extern unsigned int T6963C_grHomeAddr ;
extern unsigned int T6963C_textHomeAddr ;
extern unsigned int T6963C_grMemSize ;
extern unsigned int T6963C_txtMemSize ;

extern unsigned char T6963C_cntlwr ;
extern unsigned char T6963C_cntlrd ;
extern unsigned char T6963C_cntlcd ;
extern unsigned char T6963C_cntlrst ;

extern unsigned char T6963C_display ;
#line 35 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
extern const char mc[] ;
extern const char einstein[] ;

void main(void)
 {
 unsigned char panel ;
 unsigned int i ;
 unsigned char curs ;
 unsigned int cposx, cposy ;

 ADCON1 |= 0x0F;
 PORTB = 0 ;
 TRISB = 0xFF ;
 TRISC = 0 ;
 PORTC = 0b00000000 ;
#line 62 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 T6963C_Init(240, 128, 8, &PORTD, &PORTC, 2, 1, 0, 4);
#line 67 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
  T6963C_display. F3  = 1 ; T6963C_writeCommand(T6963C_display)  ;
  T6963C_display. F2  = 1 ; T6963C_writeCommand(T6963C_display)  ;

 panel = 0 ;
 i = 0 ;
 curs = 0 ;
 cposx = cposy = 0 ;
#line 78 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 T6963C_write_text(" GLCD LIBRARY DEMO, WELCOME !", 0, 0,  0b10000001 ) ;
 T6963C_write_text(" EINSTEIN WOULD HAVE LIKED mC", 0, 15,  0b10000001 ) ;
#line 84 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
  T6963C_writeCommand( 0b10100111  | (8 & 0b00000111))  ;
 T6963C_set_cursor(0, 0) ;
  T6963C_display. F1  = 0 ; T6963C_writeCommand(T6963C_display)  ;
#line 91 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 T6963C_rectangle(0, 0, 239, 127,  0b1000 ) ;
 T6963C_rectangle(20, 20, 219, 107,  0b1000 ) ;
 T6963C_rectangle(40, 40, 199, 87,  0b1000 ) ;
 T6963C_rectangle(60, 60, 179, 67,  0b1000 ) ;
#line 99 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 T6963C_line(0, 0, 239, 127,  0b1000 ) ;
 T6963C_line(0, 127, 239, 0,  0b1000 ) ;
#line 105 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 T6963C_box(0, 0, 239, 8,  0b1000 ) ;
 T6963C_box(0, 119, 239, 127,  0b1000 ) ;
#line 111 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 T6963C_circle(120, 64, 10,  0b1000 ) ;
 T6963C_circle(120, 64, 30,  0b1000 ) ;
 T6963C_circle(120, 64, 50,  0b1000 ) ;
 T6963C_circle(120, 64, 70,  0b1000 ) ;
 T6963C_circle(120, 64, 90,  0b1000 ) ;
 T6963C_circle(120, 64, 110,  0b1000 ) ;
 T6963C_circle(120, 64, 130,  0b1000 ) ;

 T6963C_sprite(76, 4, einstein, 88, 119) ;

  T6963C_grHomeAddr = (T6963C_grMemSize + T6963C_txtMemSize)  * 1  ;

 T6963C_sprite(0, 0, mc, 240, 64) ;
 T6963C_sprite(0, 64, mc, 240, 64) ;

 for(;;)
 {
#line 132 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 if(PORTB & 0b00000010)
 {
 panel++ ;
 panel &= 1 ;
  T6963C_setPtr( (T6963C_grMemSize + T6963C_txtMemSize)  * panel, 0b01000010 )  ;
 Delay_ms(300) ;
 }
#line 143 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 else if(PORTB & 0b00000100)
 {
  T6963C_display. F3  = 1 ; T6963C_writeCommand(T6963C_display)  ;
  T6963C_display. F2  = 0 ; T6963C_writeCommand(T6963C_display)  ;
 Delay_ms(300) ;
 }
#line 153 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 else if(PORTB & 0b00001000)
 {
  T6963C_display. F3  = 0 ; T6963C_writeCommand(T6963C_display)  ;
  T6963C_display. F2  = 1 ; T6963C_writeCommand(T6963C_display)  ;
 Delay_ms(300) ;
 }
#line 163 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 else if(PORTB & 0b00010000)
 {
  T6963C_display. F3  = 1 ; T6963C_writeCommand(T6963C_display)  ;
  T6963C_display. F2  = 1 ; T6963C_writeCommand(T6963C_display)  ;
 Delay_ms(300) ;
 }
#line 173 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 else if(PORTB & 0b00100000)
 {
 curs++ ;
 if(curs == 3) curs = 0 ;
 switch(curs)
 {
 case 0:

  T6963C_display. F1  = 0 ; T6963C_writeCommand(T6963C_display)  ;
 break ;
 case 1:

  T6963C_display. F1  = 1 ; T6963C_writeCommand(T6963C_display)  ;
  T6963C_display. F0  = 1 ; T6963C_writeCommand(T6963C_display)  ;
 break ;
 case 2:

  T6963C_display. F1  = 1 ; T6963C_writeCommand(T6963C_display)  ;
  T6963C_display. F0  = 0 ; T6963C_writeCommand(T6963C_display)  ;
 break ;
 }
 Delay_ms(300) ;
 }
#line 200 "F:/Program Files/mikroC/Examples/EasyPic4/extra_examples/T6963C/240x128/p16/T6963Cdemo.c"
 cposx++ ;
 if(cposx == T6963C_txtCols)
 {
 cposx = 0 ;
 cposy++ ;
 if(cposy == T6963C_grHeight /  8 )
 {
 cposy = 0 ;
 }
 }
 T6963C_set_cursor(cposx, cposy) ;

 Delay_ms(100) ;
 }
 }
